CHANGES
=======

3.3.0
-----

* Replace deprecated perl-style regex
* Don't offer to show unmaintained versions
* Fix series selection and sorting
* Fix lack of the Yoga version in dropdown list
* zuul: Add tips job

3.2.0
-----

* Sphinx 7.2.0 updates
* Fix stylesheet setting in theme.conf files
* Stop including Sphinx' standard JS files in script\_footer.html

3.1.1
-----

* Remove 'type' attribute of <script> element
* Remove invalid attributes
* Remove errant character
* Remove nested 'li'
* Replace ampersand with HTML characters

3.1.0
-----

* Only hide top-level duplicated title

3.0.1
-----

* Update included page footers to use current URLs

3.0.0
-----

* Drop python3.6/3.7 support in testing runtime
* Fix broken link for Marketplace in header
* Updated nav links/texts

2.4.0
-----

* Fix OpenStack project "Search" pages

2.3.1
-----

* Page header fix with Sphinx4

2.3.0
-----

* Inherit from base "basic" template
* sphinx 4.0: Handle HTML 5 changes
* sphinx 4.0: Fix sphinx.ext.extlinks.make\_link\_role call
* tox: Toggle 'usedevelop'
* trivial: Fix indentation
* Change to OFTC
* setup.cfg: Replace dashes with underscores
* Move flake8 as a pre-commit local target
* Updated Nav Menu
* Use TOX\_CONSTRAINTS\_FILE

2.2.7
-----

* Added styling for rST rubric directive

2.2.6
-----

* Change name of OpenStack Foundation
* trivial: Address some indentation nits
* js: Don't attempt to set bug, PDF links without configuration
* Store empty string for release
* js: Set 'LINK\_SUFFIX'
* Adding pre-commit
* Remove ask.o.o

2.2.5
-----

* Add version dropdown on docs.starlingx.io

2.2.4
-----

* Changing the scope of the search bar on docs.starlingx.io

2.2.3
-----

* Add py38 package metadata

2.2.2
-----

* Lower logging level of pdf-related logs
* Ignore 'last\_updated' for auto-generated pages
* Fix hacking min version to 3.0.1

2.2.1
-----

* Show version in PDFs
* Add octaviaclient cross job
* Fix auto\_name logic

2.2.0
-----

* Add link to PDF file
* Cleanup bindep
* Add cross-tests for nova
* Enable parallel building
* Use consistent logging
* trivial: Remove leftover Python 2 code
* Provide extension version

2.1.2
-----

* Update docstheme
* Use xelatex as latex\_engine

2.1.1
-----

* Restore configuration of 'latex\_engine'

2.1.0
-----

* trivial: Add whitespace
* Add package prefixes for all config options
* Remove vendored 'native' Pygments theme
* css: Namespace Pygments stylesheet
* Merge, rather than overwrite, LaTeX settings
* Add 'openstackdocs\_auto\_name' config option
* Add 'openstackdocs\_auto\_version' config option, path checking
* Mark sphinx extensions thread safe

2.0.2
-----

* Update hacking for Python3

2.0.1
-----

* Update several links
* Do not set html\_last\_updated\_fmt

2.0.0
-----

* Fix broken URLs
* [ussuri][goal] Drop python 2.7 support and testing

1.31.2
------

* Move version dropdown to title line
* Improve docs title style
* Fetch generated PDF files correctly
* Catch any exception when trying to call "git"

1.31.1
------

* Fix version dropdown

1.31.0
------

* Update API sidebar
* Update api-ref location
* Make 'docstheme-build-pdf' executable
* Add 'docstheme-build-pdf' script
* setup.cfg: Remove remanents of 'build\_sphinx' usage
* Add missing 'role="main"' attribute
* css: General cleanup
* js: Fix some comments
* js: Remove dead or unused JS
* Add reno for recent CSS cleanups
* Note External Link Helper is not compatible with project only master brach
* Remove a heap of dead CSS rules
* Removed 'combined.css' for 'starlingxdocs' theme
* css: Add symlinks for openstack logos
* css: Move bootstrap modifications to 'combined.css' (StarlingX)
* css: Use ellipsis for long titles in sidebar (StarlingX)
* css: Use https links (StarlingX)
* css: Don't use bold text in titles (StarlingX)

1.30.0
------

* Add table styling
* Allow to override build date with SOURCE\_DATE\_EPOCH
* Reference OpenStack logo in openstackdocstheme

1.29.3
------

* Update for OpenDev change
* Prevent InvocationError on non-existent files
* OpenDev Migration Patch
* Add missing fonts for pdf build in Sphinx 2.0

1.29.2
------

* Move bootstrap modifications to 'combined.css'
* css: Don't use bold text in titles
* css: Use ellipsis for long titles in sidebar
* Silence! A sequel
* Silence!

1.29.1
------

* Fix wrong variable in build-translated
* Exit trap cleanup in docstheme-build-translated.sh

1.29.0
------


1.28.1
------

* Catch OSError when trying to get the last\_update from git
* Add options for sphinx-build -W in docstheme-build-translated.sh
* Translations: Handle directories
* Update hacking version

1.28.0
------

* Change openstack-dev to openstack-discuss
* use git modification timestamps as last-updated time for each page
* Import tools for building translated documents
* Fix typo
* Remove setup.py check from pep8 job
* StarlingX nav fix to remove "Software Update" links

1.27.1
------

* The theme is openstackdocs

1.27.0
------

* Readd get\_openstack\_logo\_path
* Set default paths for OpenStack

1.26.0
------

* Make a bare-bones starlingxdocs theme
* Add scripts to the head section
* Remove example of deprecated app.info
* Add starlingxdocs theme support

1.25.1
------

* Fix regressions introduced in 1.25.0

1.25.0
------

* Add an option to disable global TOC section
* Make root title customizable
* Import build-openstack-api-ref

1.24.1
------

* log details of html context
* pass useStoryboard to logABug
* ensure repository\_name is always set

1.24.0
------

* Fix the incorrect storyboard url
* Fix project-navigator link

1.23.2
------

* Fix use\_storyboard

1.23.1
------

* Handle StoryBoard project groups
* Do not show badge for master only repos

1.23.0
------

* Fix build jobs
* Do not display "latest" badge if repo is not versioned
* Use sphinx-build everywhere
* switch documentation job to new PTI
* import zuul job settings from project-config

1.22.0
------


1.21.2
------

* Make bg color for highlighted text less bright
* ignore files created during packaging
* Added deprecation badge

1.21.1
------

* Make emphasize-lines more highlighted
* Updated Search widget
* fix tox python3 overrides
* add the series name to the template context
* always look for the .gitreview file in root of repo
* Strip tags from titles in bugTitle and meta
* Check RST as part of linting

1.21.0
------

* Use metadata summary instead name for doc title
* Relocate bug\_tag in logABug generated URL

1.20.1
------

* Handle possible exceptions when fetching version numbers

1.20.0
------

* Updated from global requirements
* Configure additional properties
* Configure project name, version, release
* trivial: Remove cruft from 'conf.py'
* trivial: Use the 'get\_html\_theme\_path' function
* Move code out of '\_\_init\_\_'
* Mark some functions as private

1.19.0
------

* trivial: Generate '{project}-doc' roles, not '{project}-doc-link'
* Avoid text overflow in toc
* Fix typo in logger.warning() call
* automatically create project doc-link roles
* Remove name from project stanza
* Updated from global requirements
* Update the description of "giturl"

1.18.1
------

* Fix giturl parsing

1.18.0
------

* Replace the http links with the right ones in docs
* Attempt to guess valid Git URLs
* Revert "Fix the incorrect git source url"
* trivial: Remove use of 'Application.{warn,info}'
* Fix the incorrect git source url
* Do not print the release if empty
* Adds -p option in mkdir for buildpdf tox env
* bindep: Add dependencies for PDFs on Fedora
* gitignore: Ignore more files
* Updated from global requirements
* Remove -U from pip install
* Avoid tox\_install.sh for constraints support
* Remove setting of version/release from releasenotes
* Add zuulv3 native job
* Adds Turkish landing page to sidebartoc\_menu
* No red with double backticks markup

1.17.0
------

* Updated from global requirements
* Fix link to openstackdays
* [www] Fix link to COA
* Add support for sphinx sidebar role
* Remove stray characters from demo
* Update the configuration of generating a PDF document
* Updated from global requirements
* Sync language list with openstack-manuals repo
* Bring back local search
* Cleanup setup.cfg
* Updated from global requirements
* Break cycle dependency with reno
* Updated from global requirements
* Break cycle dependency with os-api-ref
* Remove navigation.html
* Update links in README
* Updated from global requirements
* Documents how to set conf.py for PDF generation
* show release series names not version tags
* Link to latest version

1.16.1
------

* fix alignment of toc tree items in sidebar

1.16.0
------

* Fix a logic issue in the JS
* move the localtoc for the page into the sidebar
* Serve minified CSS

1.15.0
------

* Remove rules linked to a "Status" ID
* Update 2 documentation URLs according to doc migration
* Move from 3rd party fonts to native font stack
* Fix Added / Changed / Deprecated notices
* Standardise header styling
* Add spaces in demo for deprecation notices
* remove smooth scrolling

1.14.0
------

* add a comment to all output HTML pages showing the input file
* CSS: Add margin-left to <dd>
* Add support for versionadded and deprecated
* show the current project name and version in navigation link
* Declare parallel reading safe

1.13.0
------

* Strip tags from navigation prev, next titles
* Cleanup conf.py
* Allow using openstackdocstheme without git installed
* Fix sorting of git versions
* Add note for show\_other\_versions
* Do not display title string of page local TOC

1.12.0
------

* Increase admonition.important contrast
* Adds docs for release versions dropdown menu
* Adds list of versions in the "Updated" bar
* Update docs
* Change name of checkbuild testenv to buildpdf for clarity
* Require bug\_project setting
* Adding octavia api-ref
* Minimal support for storyboard
* move documentation from readme to sphinx tree
* Updated from global requirements
* Updates "Contents" to "Project home page" to better match existing
* Working on integrating options from oslosphinx theme

1.11.0
------

* switch release notes build to use openstackdocs instead of oslosphinx
* automate some of the extension setup
* Enable some off-by-default checks

1.10.0
------

* Update Site Search
* Updated from global requirements
* PDF build support >= Sphinx 1.6.1
* README: Update configuration of openstackdocstheme

1.9.0
-----

* Updated from global requirements
* Fix links in drop-down menu under Join; add https

1.8.0
-----

* Use new OpenStack logo and header
* Updated from global requirements

1.7.0
-----

* Clarify search title
* Fix search.html page script errors
* Add alignment styling for figures and images
* PDF support for sample document with font
* Add tox env for PDF building
* Update css markups for newer Sphinx
* Adds LaTeX style file for building PDF documents
* Add warning-is-error
* Updated from global requirements
* Updated from global requirements
* Update hacking to current version
* Adjust 'docs-toc a' display value
* Remove getJSON function and doc-characters file
* Update Launchpad info
* Updated from global requirements
* Use https instead of http for git.openstack.org
* Update bootstrap and jquery files
* Remove duplicate search field from the left sidebar
* Add note in README about Python 3 changes
* Fix missing role\_id

1.6.1
-----

* Includes checklist when filing a bug for osmanuals
* Add trove classifiers for Python

1.6.0
-----

* Add Constraints support
* Show team and repo badges on README
* Removed minimized files
* Allow to build docs without git command
* [www] update page header links
* Updated from global requirements
* Updated from global requirements
* Enable release notes translation
* Update test API Ref
* Fix typo: remove redundant 'the'
* Updated from global requirements
* Updated from global requirements
* Update requirements
* Fix tox setup
* Install required packages
* Updated from global requirements

1.5.0
-----

* API References dropdown menu
* Allow automatic toc to be disabled

1.4.0
-----

* Update Release Notes
* Adds release notes items for next release
* Make \`\`something\`\` more highlighted
* Allow the bug title to be customisable
* Broken Link
* Updated from global requirements
* Increase indent level of doc top contents
* Updated from global requirements
* Actually include custom JS files
* Release note for new sidebar feature
* Use HTTPS for external deps
* Set side bar content to be configurable
* Create empty folder for custom font files
* Fix text font-family of admonitions
* Allow for inclusion of custom JS files
* Updated from global requirements
* Change summit video URL
* Updated from global requirements
* Update the Administrator Guide link
* Clarify uses for this theme
* Allow cssfiles added by sphinx extensions

1.3.0
-----

* Make theme version independent
* Add appropriate order list styles
* Shorted margin and padding for top page menu
* Use pep8 instead of linters
* Fix a spell typos
* Rename pep8 to linters test

1.2.7
-----

* Update the contribute link at the footer
* Update links in the OpenStack column in the footer
* Remove feedback formular from the footer
* Hide duplicate titles and empty tocs in generated content
* Updated from global requirements
* Sync header with www.openstack.org
* Replace deprecated library function os.popen() with subprocess
* Drop python classifiers from setup.cfg file
* Updated from global requirements
* Fix sidebar for developer.openstack.org
* Deprecated tox -downloadcache option removed
* Drop py26 from setup.cfg

1.2.6
-----

* Make Google Analytics tracking optional
* Add bug report project definition feature
* Fix the url of "How to contribute"

1.2.5
-----

* Add -W to sphinx invocation for release-notes build
* Table caption: use a bold font
* release note entry for sidebar link to a top page
* Add link for a top page of document to "Contents" in sidebar
* Add Google Analytics JavaScript tracking snippet code
* Add reno for release-notes
* Add padding css property for td and th
* Remove the original-design directory

1.2.4
-----

* Update RELEASENOTES for 1.2.4 release
* Fix the broken anchor tags
* Remove unused files
* Add table padding to openstackdocstheme CSS
* Update releases in the left sidebar

1.2.3
-----

* Update log-a-bug comments
* Extend release notes for 1.2.3
* Decrease the indent of TOC entries on the 2nd level
* Set the width of the highlight table to 100%
* Add padding to the left table of contents
* Remove executable flags from js/css files
* Add RELEASENOTES for 1.2.3
* Add support for Firstapp

1.2.2
-----

* Add release notes for version 1.2.2
* Fix syntax of RELEASENOTES
* Cleanup HTML files
* Remove last release details from header/footer
* Fix links/texts in the license footer
* Move listed guides in the sidebar into the dropdown menu
* Remove the 'Sign in' link in the top bar
* Fix links/add missing links in the top bar
* Fix link to the OpenStack summit and remove Paris related CSS
* Link the Apache 2.0 license note in the footer
* Remove 'suggest edits' link from layout
* Remove duplicate ask.openstack.org link from the footer

1.2.1
-----

* Fix "Docs Home" link
* On hover don't change the background color of the sidebar TOC
* Fix link to Cloud Admin Guide
* Remove jquery subdir
* Javascript cleanup
* Remove unused images
* Fix inclusion of metatags

1.2.0
-----

* Next release is 1.2.0
* Update RELEASENOTES.rst
* Add next, previous, report a bug buttons at bottom
* Fix for RST enumerated list, loweralpha
* Add sidebar dynamic TOC of content
* Fixed Korean typo on sidebartoc

1.1.0
-----

* Next release is 1.1.0
* Adds release notes entries for 1.0.8 and 1.0.9
* Adds original design files including CSS and JS
* Move/improve the previous/next links in the left sidebar
* Cleanup css/styles.css
* LogABug: Publish URL of current page
* Use os.getcwd() instead of shelling out to run pwd
* "Report a bug" link in HTML manuals automatically fills in bug's tag
* Adds CSS for glossary definitions to be indented
* Update hacking to fix pep8 failure

1.0.8
-----

* Make the navigation links bigger
* Remove /trunk, it does not exist anymore
* Kilo is current release
* Document conf.py variables
* Openstackdocstheme: log-a-bug prefills wrong source file
* Ignore tox directory

1.0.7
-----

* Adds release notes for 1.0.7
* "log a bug" link added to Sphinx-based documentation
* Fix typo in ini block section

1.0.6
-----

* Adds release notes for 1.0.6
* Add the output from pygmentize
* Adds links in sidebar nav that go to docs landing page

1.0.5
-----

* Adds release notes for 1.0.5
* Adds a non-breaking space before NEXT for better spacing around pipe
* Adds Google Custom Search Engine rather than generic form
* Updates for cc-by licensing
* Adds next and previous links

1.0.4
-----

* Adds release notes for 1.0.3 and 1.0.4
* Rendering admonitions with Font Awesome icons
* Fix for unwanted plus sign in sublists
* Comments out non-working docs actions for now

1.0.3
-----

* Add instructions to the README
* Removed literal carriage returns from license.txt
* Move the license information into a separate file
* Adds Release Notes
* Updates sample to include linenos for Sphinx line numbering
* add a .gitreview file

1.0.1
-----

* Theme needs a setup function to be used from package

1.0.2
-----

* Modifies combined.css to match classes for admonition
* Adds correct :ref: for cross linking
* Adds correct rst markup for image insertion
* Adds more rst for testing
* Updates combined.css to hide para symbol until user hovers over it
* Moves CSS change from bootstrap to combined.css
* Updates <pre> so that you can see white text on dark grey background
* Adds another sample RST file for testing
* Adds section for testing purposes
* fix path to jquery
* fix rst syntax
* Use pathto() to compute relative paths to static files
* Rename \_static to static
* Clean up get\_html\_theme\_path
* Don't force-inject the theme
* Move theme files into correct formation
* Update flake8 commands
* Update .gitignore
* Removes redundant static files and template files
* Removes uneeded files
* Adds rearranged files for rename to openstackdocstheme
* Adds working links to navigation dropdown and column
* Templates now support divs correctly
* Adds title row, button row, updated rows, and sidebar
* Starting point for Sphinx theme for docs.openstack.org content
